<? 
session_start();
ini_set("display_errors",0);
function ConFecact() 
{ 
	$dbcfa = mysqli_connect("35.225.233.105:3306", "root", "O7I=)O%IwT]o","intralog_impo") or die ("no se conecto a intralog_impo") ;
	return $dbcfa; 
} 
$lfecact=ConFecact();

$qTime = mysqli_query($lfecact,"select time_configuration from configuracion");
$rqTime = mysqli_fetch_array($qTime);
$zona = $rqTime["time_configuration"];
date_default_timezone_set('America/'.$zona); //Mexico_City
//date_default_timezone_set('America/Mexico_City');
include("../header_subnivel1_agente_aduanal.php");?>
<div align="justify" style="line-height:18px;margin-top:-20px; position:absolute;width: 960px; height:100% ">
<span style="color:#00AF4B">Registro de  BL &raquo;</span><br /><BR />
<?php

require_once("../comun/conexion3.php");
require_once("../comun/conex_ver.php");

require_once("../comun/actions.php");

require_once("../comun/funciones.php");

$link_impo=con_impo();$link=con_ver();
if(trim($_POST[email])==''){
	$email = $_SESSION[email];
}else{
	$email = $_POST[email];
}

function valorate($valor){
	$valor = trim(str_replace("'","\'",strtoupper($valor)));
	return $valor;
}


//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&& REGISTRO DE """MBL""" LZ ADDED 14.6.2013 &&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
$txtbooking= valorate($_POST['h_booking']); //booking interteam
echo 'booking '.$txtbooking.'<br><br>';

//$action->alert($txtbooking);
//OBTENGO EL ID DEL BOOKING (ITVER)
$txtidbooking= qry_($link_impo,'booking_interteam = "'.$txtbooking.'"','bookingexpint','booking'); //itver

if($txtidbooking=='') $txtidbooking=$txtbooking;

$txtreferencia= valorate($_POST['h_referencia']);
$txtfinaldestination=valorate($_POST['h_final_destination']);
$txtexport_reference=valorate($_POST['h_export_reference']);
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&& REGISTRO DE HBL LZ ADDED 14.6.2013 &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&

$h_txtbooking= valorate($_POST['h_booking']);
$h_txtreferencia= valorate($_POST['h_referencia']);
$h_txtshipper_file= valorate($_POST['h_shipper_file']);
if($h_txtreferencia==''){
	$h_txtreferencia= valorate($_GET['REFERENCIA']);
	$txtshipper_file= $h_txtreferencia;
}
echo 'REFERENCIA '.$h_txtreferencia;

$h_correcciones= valorate($_POST['h_correcciones']);
$h_txtconsignee1=valorate($_POST['h_consignee1']);
$h_txtconsignee2= valorate($_POST['h_consignee2']);
$h_txtconsignee3=valorate($_POST['h_consignee3']);
$h_txtconsignee4 = valorate($_POST['h_consignee4']);
$h_txtconsignee5 = valorate($_POST['h_consignee5']);
$h_txtconsignee6 = valorate($_POST['h_consignee6']);

$h_txtnotify1=valorate($_POST['h_notify1']);
$h_txtnotify2= valorate($_POST['h_notify2']);
$h_txtnotify3=valorate($_POST['h_notify3']);
$h_txtnotify4 = valorate($_POST['h_notify4']);
$h_txtnotify5 = valorate($_POST['h_notify5']);
$h_txtnotify6 = valorate($_POST['h_notify6']);

$h_correo_agente_aduanal=valorate($_POST['h_correo_agente_aduanal']);
$h_txtshipper1=valorate($_POST['h_shipper1']);
$h_txtshipper2= valorate($_POST['h_shipper2']);
$h_txtshipper3=valorate($_POST['h_shipper3']);
$h_txtshipper4 = valorate($_POST['h_shipper4']);
$h_txtshipper5 = valorate($_POST['h_shipper5']);
$h_txtshipper6 = valorate($_POST['h_shipper6']);

$h_txtmarks=valorate($_POST['h_marks']);
$h_txtquantity= valorate($_POST['h_quantity']);
$h_txttype_of_bulks= valorate($_POST['h_type_of_bulks']);
 
//$h_txtdescription=valorate($_POST['h_tratamiento_madera']).' - '.valorate($_POST['h_description']);
$h_tratamiento_madera=valorate($_POST['h_tratamiento_madera']);

$h_txtno_piezas = valorate($_POST['h_no_piezas']);
$h_txtgross_weight = valorate(str_replace(',','',$_POST['h_gross_weight']));
$h_txtnet_weight = valorate(str_replace(',','',$_POST['h_net_weight']));

 
$h_txtvolume=valorate(str_replace(',','',$_POST['h_volume']));
$h_txtharmonized_code= valorate($_POST['h_harmonized_code']);
$h_txtams=valorate($_POST['h_ams']);

$hdescripcion_espanol_articulo_23=valorate($_POST['hdescripcion_espanol_articulo_23']);
$htipo_mercancia_articulo_23= valorate($_POST['htipo_mercancia_articulo_23']);
$hregimen_articulo_23=valorate($_POST['hregimen_articulo_23']);
$hfactura_articulo_23 = valorate($_POST['hfactura_articulo_23']);
$himo_articulo_23 = valorate($_POST['himo_articulo_23']);
$hun_articulo_23 = valorate($_POST['hun_articulo_23']);
$htransportista_articulo_23=valorate($_POST['htransportista_articulo_23']);
$hnombre_del_chofer_articulo_23= valorate($_POST['hnombre_del_chofer_articulo_23']);
$hno_licencia_articulo_23=valorate($_POST['hno_licencia_articulo_23']);
$hplacas_articulo_23 = valorate($_POST['hplacas_articulo_23']);
$heconomico_articulo_23 = valorate($_POST['heconomico_articulo_23']);

$hmarcas_articulo_23=valorate($_POST['hmarcas_articulo_23']);
$hlinea_articulo_23= valorate($_POST['hlinea_articulo_23']);
$hcantidad_articulo_23=valorate($_POST['hcantidad_articulo_23']);
$htipo_embalaje_articulo_23 = valorate($_POST['htipo_embalaje_articulo_23']);
$hsello_articulo_23 = valorate($_POST['hsello_articulo_23']);
$hpeso_neto_articulo_23 = valorate($_POST['hpeso_neto_articulo_23']);
$hpeso_bruto_articulo_23=valorate($_POST['hpeso_bruto_articulo_23']);
$hexportador_articulo_23= valorate($_POST['hexportador_articulo_23']);
$hdireccion_exportador_articulo_23=valorate($_POST['hdireccion_exportador_articulo_23']);
$hciudad_exportador_articulo_23 = valorate($_POST['hciudad_exportador_articulo_23']);
$hrfc_exportador_articulo_23 = valorate($_POST['hrfc_exportador_articulo_23']);
$hdomicilio_agencia_aduanal_articulo_23 = valorate($_POST['hdomicilio_agencia_aduanal_articulo_23']); 
	
$no_piezasimoh= valorate($_POST['no_piezasimoh']);
$gross_weightimoh= valorate($_POST['gross_weightimoh']);
$volumeimoh= valorate($_POST['volumeimoh']);
$unimoh= valorate($_POST['unimoh']);
$valimoh= valorate($_POST['valimoh']);
$marksimoh= valorate($_POST['marksimoh']);
$quantityimoh= valorate($_POST['quantityimoh']);
$type_of_bulksimoh= valorate($_POST['type_of_bulksimoh']);
$descriptionimoh= valorate($_POST['descriptionimoh']);

//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&& FIN DE &&&&&&&& LZ ADDED 14.6.2013 &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&


$txtfiles = qry_($link_impo,' booking = "'.$txtidbooking.'" ','bookingexpint','files');
// OBTENGO EL HBL DEL BOOKING

$txthbl = hbl_($link_impo,$txtidbooking);

 con_ver();
//$action->alert($_GET[h_id]);
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&REGISTRO DE HBL&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&


 
$boundary = "-----=" . md5( uniqid ( rand() ) ); 
$mailheader= "MIME-Version: 1.0\n"; 
$mailheader.= "Content-Type: multipart/alternative; boundary=\"$boundary\""; 
$mailheader.= "nX-Sender: lpm.doc@lpmzlo.com \nFrom: lpm.doc@lpmzlo.com \nReply-To: lpm.doc@lpmzlo.com \nX-MSMail-Priority: High \nContent-type: text/html" ;

$recibe='lpm.doc@lpmzlo.com';  
//,andres.tovar@interteam.com.mx
$recibe.=(trim($_POST[email])!='' ? ','.strtolower($_POST[email]) : '');
 	

// DATOS DE LA PERSONA QUE REGISTRO EL BL
		 
 
	 mysqli_query($link_impo,"update detailcargaexpint set harmonized_code='$h_txtharmonized_code' where bookingno = 'BKG".substr($bkg,10,strlen($txtbooking))."'  ");
	 mysqli_query($link_impo,"update bookingexpint set harmonized_code='$h_txtharmonized_code' where booking  = '".$txtbooking."'  ");
// busco la referencia si esta es vacia
if(trim($txtreferencia)==''){
	$fi=busquedaB($link_impo,"select files where bookingexpint where booking_interteam = '".$txtbooking."' and booking<>''","files");
	
	if(trim($fi)!='') {$txtreferencia = busquedaB($link_impo,"select referencia_interteam from datosexpint where files = '".$fi."'","referencia_interteam");}
}
// fin de busco la referencia si esta es vacia

		$datos_aa = data($link_impo,"SELECT A.*,C.nombre_contacto,C.telefono_contacto FROM `agentes_aduanales` A 
		INNER JOIN contactos_agentes_aduanales C
		on A.patente=C.patente and C.email_contacto = '".strtolower($_POST[email])."' ");

		$agente_aduanal  = $datos_aa[nombre_agente_aduanal];
		$nombre_empresa  = $datos_aa[nombre_empresa];
		$nombre_contacto  = $datos_aa[nombre_contacto];
		$telefono_contacto  = $datos_aa[telefono_contacto];
 
if($_GET[h_id]!=''){
	$tm=data($link,"select id_bl from detailcargaexpint where id = '".$_GET[h_id]."' ");
	$id_hbl=$tm[0];
	
//$descarga='DESCARGUE SU BL EN: https://   pdf/hbl.php?booking='.base64_encode($txtbooking).'=&idhbl='.base64_encode($id_hbl).'<br><br>';

	 			$query_search_hbl=mysqli_query($link,"select * from hblexpint where idhbl='".$id_hbl."' ");
				$rqsc = mysqli_fetch_array($query_search_hbl);
	
				$mensaje_HBL=($h_txtshipper1!=$rqsc[shipper] ? 'CAMBIO SHIPPER LINEA 1 <BR>' : '').($h_txtshipper2!=$rqsc[shipper2] ? 'CAMBIO SHIPPER LINEA 2<BR> ' : '').($h_txtshipper3!=$rqsc[shipper3] ? 'CAMBIO SHIPPER LINEA 3 ' : '').($h_txtshipper4!=$rqsc[shipper4] ? 'CAMBIO SHIPPER LINEA 4 ' : ''). ($h_txtshipper5!=$rqsc[shipper5] ? 'CAMBIO SHIPPER LINEA 5 ' : ''). ($h_txtshipper6!=$rqsc[shipper6] ? 'CAMBIO SHIPPER LINEA 6 ' : ''). ($h_txtconsignee1!=$rqsc[consignee] ? 'CAMBIO CONSIGNEE LINEA 1 ' : ''). ($h_txtconsignee2!=$rqsc[consignee2] ? 'CAMBIO CONSIGNEE LINEA 2 ' : ''). ($h_txtconsignee3!=$rqsc[consignee3] ? 'CAMBIO CONSIGNEE LINEA 3 ' : ''). ($h_txtconsignee4!=$rqsc[consignee4] ? 'CAMBIO CONSIGNEE LINEA 4 ' : ''). ($h_txtconsignee5!=$rqsc[consignee5] ? 'CAMBIO CONSIGNEE LINEA 5 ' : ''). ($h_txtconsignee6!=$rqsc[consignee6] ? 'CAMBIO CONSIGNEE LINEA 6 ' : ''). ($h_txtnotify1!=$rqsc[notify] ? 'CAMBIO NOTIFY LINEA 1 ' : ''). ($h_txtnotify2!=$rqsc[notify2] ? 'CAMBIO NOTIFY LINEA 2 ' : ''). ($h_txtnotify3!=$rqsc[notify3] ? 'CAMBIO NOTIFY LINEA 3 ' : ''). ($h_txtnotify4!=$rqsc[notify4] ? 'CAMBIO NOTIFY LINEA 4 ' : ''). ($h_txtnotify5!=$rqsc[notify5] ? 'CAMBIO NOTIFY LINEA 5 ' : ''). ($h_txtnotify6!=$rqsc[notify6] ? 'CAMBIO NOTIFY LINEA 6 ' : ''). ($txtfinaldestination!=$rqsc[finaldestination] ? 'CAMBIO FINAL DESTINATION ' : '');
				
	
mysqli_query($link,"update hblexpint set shipper='$h_txtshipper1', shipper2='$h_txtshipper2', shipper3='$h_txtshipper3',shipper4='$h_txtshipper4',
				shipper5='$h_txtshipper5',shipper6='$h_txtshipper6',consignee='$h_txtconsignee1',consignee2='$h_txtconsignee2', 
				consignee3='$h_txtconsignee3',consignee4='$h_txtconsignee4', consignee5='$h_txtconsignee5', consignee6='$h_txtconsignee6', 
			    notify='$h_txtnotify1',notify2='$h_txtnotify2', notify3='$h_txtnotify3', notify4='$h_txtnotify4', notify5='$h_txtnotify5', 
				notify6 = '$h_txtnotify6',shipper_file = '".$h_txtshipper_file."',registrado_por = '".strtolower($email)."',booking='$txtbooking',
				referencia = '$txtreferencia',
				descripcion_espanol_articulo_23 = '$hdescripcion_espanol_articulo_23',tipo_mercancia_articulo_23='$htipo_mercancia_articulo_23',
				regimen_articulo_23 = '$hregimen_articulo_23',factura_articulo_23 = '$hfactura_articulo_23',imo_articulo_23 = '$himo_articulo_23',
				un_articulo_23 = '$hun_articulo_23',transportista_articulo_23 = '$htransportista_articulo_23',
				nombre_del_chofer_articulo_23 = '$hnombre_del_chofer_articulo_23',no_licencia_articulo_23 = '$hno_licencia_articulo_23',
				placas_articulo_23 = '$hplacas_articulo_23',economico_articulo_23 = '$heconomico_articulo_23',finaldestination='$txtfinaldestination',export_reference='$txtexport_reference',
				correo_agente_aduanal='$h_correo_agente_aduanal'
				where idhbl='".$id_hbl."' ");
 
			
			$GAMA=0;
	
 			if(mysqli_affected_rows()>0){
				$GAMA=1;
						mysqli_query($link,"update hblexpint set status = 'REVISANDO' where idhbl='".$id_hbl."' ");
			}
			// 11.3.2014
con_ver();
 				$query_search_cargo=mysqli_query($link,"select * from detailcargaexpint where id = '".$_GET[h_id]."'  ");
				$rqsc = mysqli_fetch_array($query_search_cargo);
	
				$mensaje=($h_txtquantity!=$rqsc[bulk] ? 'CAMBIO CANTIDAD DE BULTOS <BR>' : '').($h_txttype_of_bulks!=$rqsc[type_of_bulks] ? 'CAMBIO TYPE OF BULKS<BR> ' : '').($h_txtno_piezas!=$rqsc[number_of_pieces] ? ' CAMBIO NUMBER OF PIECES ' : '').($cargo!=$rqsc[h_txtdescription] ? ' CAMBIO CARGO DESCRIPTION ' : ''). ($h_txtgross_weight!=$rqsc[weight] ? ' CAMBIO WEIGHT ' : ''). ($h_txtvolume!=$rqsc[measurement] ? ' CAMBIO VOLUMEN ' : ''). ($h_txtmarks!=$rqsc[markandnos] ? ' CAMBIO MARCA ' : ''). ($h_txtnet_weight!=$rqsc[netweight] ? ' CAMBIO NET WEIGHT ' : ''). ($h_txtharmonized_code!=$rqsc[harmonized_code] ? ' CAMBIO HARMONIZED CODE ' : ''). ($h_txtams!=$rqsc[ams] ? ' CAMBIO AMS ' : '');
			 
	 
			 $h_txtdescription= valorate($_POST['h_description']);
				
			    mysqli_query($link,"update detailcargaexpint set 
				`bulk` = '$h_txtquantity',
				`type_of_bulks` = '$h_txttype_of_bulks',
				`number_of_pieces` = '$h_txtno_piezas', `cargo` = '$h_txtdescription', 
				`weight` = '$h_txtgross_weight',
				`measurement` = '$h_txtvolume', `markandnos` = '$h_txtmarks', `netweight` = '$h_txtnet_weight',
				`harmonized_code`='$h_txtharmonized_code',`ams`='$h_txtams',bookingno='$txtbooking',
				correcciones = '$h_correcciones', no_piezasimoh = '$no_piezasimoh', gross_weightimoh = '$gross_weightimoh', 
				volumeimoh = '$volumeimoh', unimoh = '$unimoh', valimoh = '$valimoh', marksimoh = '$marksimoh', quantityimoh = '$quantityimoh',
				type_of_bulksimoh = '$type_of_bulksimoh', descriptionimoh = '$descriptionimoh' 
				where id = '".$_GET[h_id]."'  ");
				
				$ZETA=0;
				
				if(mysqli_affected_rows()>0){
					//$query_search_cargo=
					$ZETA=1;
						mysqli_query($link,"update hblexpint set status = 'REVISANDO' where idhbl='".$id_hbl."' ");
				}
				
				
				if($GAMA==1 and $ZETA==1){
						$subject='UPDATE DE HBL ID '.$id_hbl.' DEL BOOKING '.$txtbooking;
						$mailtext ='<span style="font-family:Verdana, Geneva, sans-serif">POR FAVOR NOTE QUE EL <B><U>HOUSE BL Y SU CARGO</U> DE ID '.$id_hbl.' CORRESPONDIENTE AL BOOKING '.$txtbooking.'  HA SIDO ACTUALIZADO</B> Y SU REVISION SE ENCUENTRA PENDIENTE.<br><br>
						CAMBIO CARGO REALIZADO:<BR>
						'.$mensaje.'<BR><BR>
						
						CAMBIO HBL REALIZADO:<BR>
						'.$mensaje_HBL.'<BR><BR>
								
						HOUSE BL REGISTRADO POR: '.$email.'<BR> 
						AGENCIA ADUANAL: '.$nombre_empresa.'<BR />
						AGENTE ADUANAL: '.$agente_aduanal.'<BR />
						NOMBRE CONTACTO: '.$nombre_contacto.'<BR />
						TELEFONO CONTACTO: '.$telefono_contacto.'<BR /><BR />
							
						GRACIAS, SE REVISARA A LA BREVEDAD.<BR><BR>
							
						LOGISTICA PORTUARIA DE MANZANILLO, S.A. DE C.V.</SPAN>';
			if(strpos(strtolower($recibe),'dbschenker')===false ){
						mail($recibe ,$subject,$mailtext,$mailheader); 
			}
				}else{
				
					if($GAMA==1){
							$subject='UPDATE DE HBL ID '.$id_hbl.' DEL BOOKING '.$txtbooking;
							$mailtext ='<span style="font-family:Verdana, Geneva, sans-serif">POR FAVOR NOTE QUE EL <B>HOUSE BL DE ID '.$id_hbl.' CORRESPONDIENTE AL BOOKING '.$txtbooking.'  HA SIDO ACTUALIZADO</B> Y SU REVISION SE ENCUENTRA PENDIENTE.<br><br>
							
							CAMBIO HBL REALIZADO:<BR>
							'.$mensaje_HBL.'<BR><BR>
						
							HOUSE BL REGISTRADO POR: '.$email.'<BR> 
							AGENCIA ADUANAL: '.$nombre_empresa.'<BR />
							AGENTE ADUANAL: '.$agente_aduanal.'<BR />
							NOMBRE CONTACTO: '.$nombre_contacto.'<BR />
							TELEFONO CONTACTO: '.$telefono_contacto.'<BR /><BR />
								
							GRACIAS, SE REVISARA A LA BREVEDAD.<BR><BR>
								
							LOGISTICA PORTUARIA DE MANZANILLO, S.A. DE C.V.</SPAN>';
				if(strpos(strtolower($recibe),'dbschenker')===false ){
							mail($recibe.',lorena.zapata@interteam.com.mx',$subject,$mailtext,$mailheader); 
				}
					}
							
					if($ZETA==1){
								$subject='UPDATE DE CARGO DE HOUSE BL ID '.$id_hbl.' DEL BOOKING '.$txtbooking;
								$mailtext ='<span style="font-family:Verdana, Geneva, sans-serif">POR FAVOR NOTE QUE LA INFORMACION DE <B>CARGO DEL HOUSE BL DE ID '.$id_hbl.' DEL BOOKING '.$txtbooking.' HA SIDO ACTUALIZADA</B> Y SU REVISION SE ENCUENTRA PENDIENTE.<br><br>
								CAMBIO REALIZADO:<BR>
								'.$mensaje.'<BR><BR>
								HOUSE BL REGISTRADO POR: '.$email.'<BR> 
								AGENCIA ADUANAL: '.$nombre_empresa.'<BR />
								AGENTE ADUANAL: '.$agente_aduanal.'<BR />
								NOMBRE CONTACTO: '.$nombre_contacto.'<BR />
								TELEFONO CONTACTO: '.$telefono_contacto.'<BR /><BR />
									
								GRACIAS, SE REVISARA A LA BREVEDAD.<BR><BR>
									
								LOGISTICA PORTUARIA DE MANZANILLO, S.A. DE C.V.</SPAN>';
								if(strpos(strtolower($recibe),'dbschenker')===false ){
								mail($recibe ,$subject,$mailtext,$mailheader); 
								}
					}
				}

}else{

$email='';

if(trim($_POST[email])==''){
	$email = $_SESSION[email];
}else{
	$email = $_POST[email];
}
	
if($email=='') {
	echo 'Se perdio la sesion, vuelva a iniciar sesion';
	header("Location: https://".$_SERVER["SERVER_NAME"]."/ZLO/agenteaduanal");
}
	
mysqli_query($link,"insert into hblexpint (
			tipo,hbl, shipper, shipper2, shipper3, shipper4, shipper5, shipper6,
			consignee, consignee2, consignee3,consignee4, consignee5, consignee6, 
			notify,notify2, notify3, notify4, notify5, notify6,
			booking,referencia, fechaRegistro, status,shipper_file,registrado_por,tarja, 
			`descripcion_espanol_articulo_23`, `tipo_mercancia_articulo_23`, `regimen_articulo_23`, `factura_articulo_23`, 
			`imo_articulo_23`, `un_articulo_23`, `transportista_articulo_23`, `nombre_del_chofer_articulo_23`, `no_licencia_articulo_23`, 
			`placas_articulo_23`, `economico_articulo_23`,finaldestination,export_reference,correo_agente_aduanal) 

			values 	
('HBL','$txthbl','$h_txtshipper1','$h_txtshipper2','$h_txtshipper3','$h_txtshipper4','$h_txtshipper5','$h_txtshipper6',
'$h_txtconsignee1','$h_txtconsignee2','$h_txtconsignee3','$h_txtconsignee4','$h_txtconsignee5','$h_txtconsignee6',
'$h_txtnotify1','$h_txtnotify2','$h_txtnotify3','$h_txtnotify4','$h_txtnotify5','$h_txtnotify6',
'$h_txtbooking','$h_txtreferencia','".date("Y-m-d H:i:s")."','NUEVO','".$h_txtshipper_file."','".strtolower($email)."','',
'$descripcion_espanol_articulo_23','$tipo_mercancia_articulo_23',
			'$regimen_articulo_23','$factura_articulo_23','$imo_articulo_23','$un_articulo_23',
			'$transportista_articulo_23','$nombre_del_chofer_articulo_23','$no_licencia_articulo_23',
			'$placas_articulo_23','$economico_articulo_23','$txtfinaldestination','$txtexport_reference','$h_correo_agente_aduanal')");

$id_hbl=mysqli_insert_id($link);

//$descarga='DESCARGUE SU BL EN: https://   /pdf/hbl.php?booking='.base64_encode($txtbooking).'=&idhbl='.base64_encode($id_hbl).'<br><br>';
	
			//if(mysqli_affected_rows()>0){
				mysqli_query($link,"update hblexpint set status = 'NUEVO' where idhbl='".$id_hbl."' ");
							
				$subject='AVISO DE REGISTRO DE NUEVO HOUSE BL '.$txtbooking;
				$mailtext ='<span style="font-family:Verdana, Geneva, sans-serif">SE HA REGISTRADO EL SIGUIENTE <B>HOUSE BL DE ID '.$id_hbl.' Y CORRESPONDE AL BOOKING '.$txtbooking.'</B>, SU REVISION SE ENCUENTRA PENDIENTE.<br><BR>
				
				REGISTRADO POR: '.$email.'<BR> 
                AGENCIA ADUANAL: '.$nombre_empresa.'<BR />
                AGENTE ADUANAL: '.$agente_aduanal.'<BR />
                NOMBRE CONTACTO: '.$nombre_contacto.'<BR />
                TELEFONO CONTACTO: '.$telefono_contacto.'<BR /><BR />
				
				GRACIAS, SE REVISARA A LA BREVEDAD.<BR><BR>
				
				LOGISTICA PORTUARIA DE MANZANILLO, S.A. DE C.V.</SPAN>';
				mail($recibe,$subject,$mailtext,$mailheader); 
			//}
			
			// 11.3.2014
con_ver();
	$h_txtdescription= valorate($_POST['h_description']);		
mysqli_query($link,"insert into detailcargaexpint (`tipo_bl`, `bookingno`, `bulk`,`type_of_bulks`, `number_of_pieces`, `cargo`, `weight`, `measurement`, `markandnos`, `id_bl`, `netweight`, `harmonized_code`, `ams`,largo,ancho,alto, no_piezasimoh, gross_weightimoh, volumeimoh, unimoh, valimoh, marksimoh, quantityimoh, type_of_bulksimoh, descriptionimoh, arc_dgd ) values ('HBL','$h_txtbooking','$h_txtquantity','$h_txttype_of_bulks',
'$h_txtno_piezas','$h_txtdescription','$h_txtgross_weight','$h_txtvolume','$h_txtmarks','$id_hbl','$h_txtnet_weight','$h_txtharmonized_code','$h_txtams','','','','$no_piezasimoh','$gross_weightimoh','$volumeimoh','$unimoh','$valimoh','$marksimoh','$quantityimoh','$type_of_bulksimoh','$descriptionimoh','' )");

$id_inserted=mysqli_insert_id($link);
mysqli_query($link,"update detailcargaexpint set correcciones = '$h_correcciones' where id = $id_inserted");
}
 

?> 

<?
if(trim($_POST[email])==''){
	$email = $_SESSION[email];
}else{
	$email = $_POST[email];
}
?>
	
Gracias por su registro: <?=$email?><br /><br />
HOUSE BL guardado<br /> <br />
<? //echo 'final dest '.$txtfinaldestination;?>
<?

if($email=='') {
	echo 'Se perdio la sesion, vuelva a iniciar sesion';
	header("Location: https://".$_SERVER["SERVER_NAME"]."/ZLO/agenteaduanal");
}
?>
<a style="color:#00AF4B; text-decoration:underline" href="registro_bl.php?booking=<?=$txtbooking?>">Regresar</a>
</div>